Package musicbrainz2 :: Module webservice :: Class LabelFilter

[frames] | no frames]

# Class LabelFilter

source code

    object --+
             |
       IFilter --+
                 |
                LabelFilter

A filter for the label collection.

Instance Methods

__init__(self, name=None, limit=None, offset=None, query=None) Constructor. | source code

createParameters(self) Create a list of query parameters. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name=None, limit=None, offset=None, query=None)
(Constructor)

source code

Constructor.

The `query` parameter may contain a query in Lucene syntax. Note that the `name` and `query` may not be used together.

Parameters:
  - `name` - a unicode string containing the label's name
  - `limit` - the maximum number of labels to return
  - `offset` - start results at this zero-based offset
  - `query` - a string containing a query in Lucene syntax
Overrides: object.__init__

### createParameters(self)

source code

Create a list of query parameters.

This method creates a list of (`parameter`, `value`) tuples, based on the contents of the implementing subclass. `parameter` is a string containing a parameter name and `value` an arbitrary string. No escaping of those strings is required.

Returns:
  a sequence of (key, value) pairs
Overrides: IFilter.createParameters
  (inherited documentation)